#!/bin/sh

# This is called from /etc/rc.local to perform the initial setup.

if [ -f /var/movek/enable_wireless ]; then
    # We always bootup in AP mode. Delete any stale files
    rm -f /etc/wlanclient.mode
    SSID=Plug2-uAP-`ifconfig eth0 | awk -F ":" '/HWaddr/ {print $6$7}'`

    insmod /root/uap8xxx.ko
    ifconfig uap0 192.168.1.1 up
    /usr/bin/uaputl sys_cfg_ssid $SSID
    /usr/bin/uaputl bss_start
    #iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE
    #iptables -t nat -A POSTROUTING -o ppp0 -j MASQUERADE
    #echo 1 > /proc/sys/net/ipv4/ip_forward 
    /etc/init.d/udhcpd start
    #/etc/init.d/dnsmasq start
    iptables -A INPUT -i uap0 -p tcp -m tcp --dport 80 -j ACCEPT

    # Re-enable bluetooth. In the earlier case, it didn't find the firmware.
    #rmmod libertas_sdio libertas btmrvl_sdio btmrvl bluetooth 2>/dev/null
    #rmmod btmrvl_sdio btmrvl
    #/etc/init.d/bluetooth start

    modprobe btmrvl_sdio
    hciconfig hci0 up
    hciconfig hci0 piscan
    /usr/bin/mute-agent &
fi

# Set leds
echo 1 > `eval ls /sys/class/leds/*plug*\:green\:health/brightness`
echo 1 > `eval ls /sys/class/leds/*plug*\:green\:wmode/brightness`

