<?php

class Filesystem
{
	public static function sanitize_filename_for_fat($filename)
	{
		$bad_chars = array('|', '\\', '?', '*', '<', '"', ':', '>', '+', '[', ']', '/');
		// replace bad characters with underscore
		return str_replace($bad_chars, "_", $filename);
	}

	public static function mkdir_if_needed($path)
	{
		if(!is_dir($path))
		{
			// 0777 means open permissions
			// TRUE indicates to create parent dirs if needed
			mkdir($path, 0777, TRUE);
		}
	}

	public static function sync()
	{
		// Works, but there might be a better way to accomplish this.
		system("sync");
	}

	// Returns TRUE if a USB stick is mounted
	public static function is_usb_mounted()
	{
		$output = array();
		$command = "mount -l | grep -c /media/usb0";
		$command_retval = 0;

		exec($command, $output, $command_retval);

		if($output[0] == "1")
		{
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}

	// Returns a string to help identify the mounted USB drive.
	// It would be prefereable to use the filesystem label, if available, but 
	// only root can read that.
	public static function get_usb_name()
	{
		if(self::is_usb_mounted())
		{
			// Use the free space and size of the drive to identify it.
			$command = "df -h | awk '/\/media\/usb0/ { print $2\"B (\"$4\"B free)\" }'";
			$output = array();
			$command_retval = 0;

			exec($command, $output, $command_retval);

			return $output[0];
		}
		return "";
	}
}

/* end of filesystem.php */
