<?php

	require_once("models/mymix_runtime.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
    require_once("helpers/input.php");
	require_once("helpers/config.php");
	require_once("helpers/url.php");
	require_once("helpers/validate.php");
	require_once("helpers/filesystem.php");
	
	$mac = Input::post('mac');
	$new_value = Input::post('new_value');
	$redirect_to = Input::post('redirect_to');
	
	if(!Validate::mac_address($mac))
	{
	    die("Invalid mac address!");
	}
	
	if($new_value == "mute")
	{
	    $new_value = "1";
	}
	else
	{
	    $new_value = "0";
	}
	
	$runtime = new MyMix_Runtime(Config::get_item('mymix_devices_dir') . $mac . "/runtime");
	$runtime->set_master_mute($new_value);
	$runtime->save();
	
	$device = MyMix_Discover::get_device_by_mac("mymix", $mac);
	if(!empty($device))
	{
	    FTP::push_mymix_runtime($device['ip_address'], $mac);
	    
	    // Properly terminate the FTP session
        FTP::disconnect();
	}
	
    // Ensure changes are written to disk
    Filesystem::sync();
	
	if(!empty($redirect_to))
	{
	    Url::redirect($redirect_to);
	}

/* End of mymix-change-master-mute.php */
