<?php

require_once("models/login.php");
require_once("helpers/input.php");
require_once("models/mymix_profile.php");
require_once("helpers/url.php");
require_once("helpers/config.php");
require_once("helpers/ftp.php");
require_once("models/mymix_discover.php");
require_once("helpers/mymix_logic.php");
require_once("models/mymix_preference.php");
require_once("helpers/filesystem.php");

Login::require_login();

$mac = Input::post('mac');
$profile_name = MyMix_Profile::sanitize_name(Input::post('profile_name'));

$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");

// Sync the latest channel list
MyMix_Logic::sync_profile_with_channels($mac, $prefs->get_current_profile());

$copy_channels_from = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $prefs->get_current_profile());

$profile = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $profile_name);
for($i = 0; $i < $copy_channels_from->get_remote_channel_count(); $i++)
{
    $profile->add_remote_channel(
        $copy_channels_from->get_remote_channel_unit_name($i),
        $copy_channels_from->get_remote_channel_name($i),
        $copy_channels_from->get_remote_channel_mac($i),
        $copy_channels_from->get_remote_channel_selected($i),
        $copy_channels_from->get_remote_channel_input_mode($i),
        $copy_channels_from->get_remote_channel_volume($i),
        $copy_channels_from->get_remote_channel_pan($i),
        $copy_channels_from->get_remote_channel_tone($i),
        $copy_channels_from->get_remote_channel_effect_send($i),
        $copy_channels_from->get_remote_channel_mute($i),
        $copy_channels_from->get_remote_channel_solo($i)
    );
}
$profile->save();
// if this device is online, push the profile
$devices = MyMix_Discover::get_devices("mymix");
foreach($devices as $this_device)
{
	if($this_device['mac'] == $mac)
	{
		FTP::push_mymix_profile($this_device['ip_address'], $mac, $profile_name);
		
		// Properly terminate the FTP session
        FTP::disconnect();
        
		break;
	}
}

// Ensure changes are written to disk
Filesystem::sync();

Url::redirect("mymix-detail.php?mac=" . urlencode($mac));

/* End of mymix-create-profile.php */
