<?php
	// Load required libraries
	require_once("models/mymix_profile.php");
	require_once("helpers/config.php");
	require_once("models/login.php");
	require_once("helpers/input.php");
	require_once("models/mymix_preference.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("helpers/form.php");
	require_once("helpers/filesystem.php");

	Login::require_login();

	// Get data from libraries
	$mac = Input::get('mac');

	// if this device is online, pull the prefs and active profile
	$devices = MyMix_Discover::get_devices("mymix");
	foreach($devices as $this_device)
	{
		if($this_device['mac'] == $mac)
		{
			// found the device, pull config from it
			FTP::pull_all_mymix_config($this_device['ip_address'], $mac);
			
			// Properly terminate the FTP session
            FTP::disconnect();
    
			break;
		}
	}
	
    // Ensure changes are written to disk
    Filesystem::sync();

	$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");
	$profile = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $prefs->get_current_profile());

	$profiles = MyMix_Profile::get_profile_list($mac);

	// header data
	$title = "MyMix device page";
    $ID = "edit_mymix";
    
	// Render data into html
	require("views/header.php");
	require("views/mymix-detail.php");
	require("views/footer.php");

/* End of mymix-detail.php */
