<?php

require_once("models/login.php");
require_once("helpers/url.php");
require_once("helpers/input.php");
require_once("models/iex16_profile.php");
require_once("helpers/validate.php");
require_once("helpers/filesystem.php");

Login::require_login();

$mac = Input::post('mac');
$name = Input::post('name');

if(!Validate::mac_address($mac))
{
	die("Invalid MAC address!");
}

$profile = new IEX16_Profile(Config::get_item('iex16_devices_dir') . $mac . "/prefs");
$profile->save();

// Ensure changes are written to disk
Filesystem::sync();

Url::redirect("select-iex16.php");

/* end of new-iex16-device.php */
