<?php

require_once("models/login.php");
require_once("helpers/input.php");
require_once("models/mymix_preference.php");
require_once("models/mymix_lock.php");
require_once("helpers/url.php");
require_once("helpers/validate.php");
require_once("models/mymix_discover.php");
require_once("helpers/ftp.php");
require_once("helpers/filesystem.php");

Login::require_login();

$reset_type = Input::post('reset_type');
$mac = Input::post('mac');
$confirm = Input::post('confirm');

if(!Validate::mac_address($mac))
{
	die("Invalid MAC address!");
}
if($confirm != "yes")
{
	die("Confirmation error");
}

// if this device is online, push the lock settings
$ip_address = "";
$device = MyMix_Discover::get_device_by_mac("mymix", $mac);
$ip_address = $device['ip_address'];

switch($reset_type)
{
	case "lock":
		$path = Config::get_item('mymix_devices_dir') . $mac . "/menulock/menulock_mgr";
		// delete current locks file
		unlink($path);
		// create new locks file
		$locks = new MyMix_Lock($mac);
		// save new locks file
		$locks->save();
		if(!empty($ip_address))
		{
			FTP::push_mymix_lock($ip_address, $mac);
		}
		break;
	case "pref":
		$path = Config::get_item('mymix_devices_dir') . $mac . "/prefs";
		// delete current prefs file
		unlink($path);
		// create new prefs file
		$prefs = new MyMix_Preference($path);
		// save new prefs file
		$prefs->save();
		if(!empty($ip_address))
		{
			FTP::push_mymix_preference($ip_address, $mac);
		}
		break;
	default:
		die("Unknown reset type! (" . $reset_type . ")");
		break;
}

// Properly terminate the FTP session
FTP::disconnect();

// Ensure changes are written to disk
Filesystem::sync();
    
Url::redirect("mymix-detail.php?mac=" . urlencode($mac));

/* End of reset.php */
